Subject: Determining rotation angles from rotation matrix

From: Joe M Leonard <[email-masked]>
Date: Fri, 19 Apr 2002 13:25:21 -0400 (EDT)

By any chance does anybody have code which determines the cartesian
rotation angles from a rotation matrix?  I need to pass the angles
back into a GA calculation, and thought I'd ask CCL before disappearing
off into trig-land for a while...

I hate trig-land :-).  I also hope that somebody's figured this out
and can point me to it.  My Google searches haven't been as fruitful
as I'd like.

Thanks in advance!

Joe Leonard
[email-masked]
(formerly [email-masked] - ISP name change)